select
        extract('day' from time)::varchar || '.' || extract('month' from time)::varchar || '.' || extract('year' from time)::varchar as day,
        avg(temperature)::numeric(10,0) as temperature
    from room_climate_measurement_t
    where
        category = 'Outdoor' and
        location = 'Outdoor' and
        extract('hour' from time) = 12 and
        time::date = now()::date
    group by day

